Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.iwidget.xml.helper
Class EmptyIWidgetMicroformatContentHandler

    java.lang.Object
      com.ibm.portal.resolver.xml.helper.LeafContentHandler
          com.ibm.portal.resolver.iwidget.xml.helper.EmptyIWidgetMicroformatContentHandler

All Implemented Interfaces:
  ResettableContentHandler, org.xml.sax.ContentHandler

    public class EmptyIWidgetMicroformatContentHandler

extends LeafContentHandler

Implementation of `IWidgetMicroformatContentHandler` that does nothing

Since:
  6.0.1

Constructor Summary
`EmptyIWidgetMicroformatContentHandler()`

Method Summary
`void` | `endContent()`
`void` | `endDescRef()`
`void` | `endDescription()`
`void` | `endEvent()`
`void` | `endEventDescription()`
`void` | `endHandler()`
`void` | `endItem()`
`void` | `endItemSet()`
`void` | `endIWidget()`
`void` | `endIWidgetDefinition()`
`void` | `endNewWire()`
`void` | `endPayloadType()`
`void` | `endReceivedEvent()`
`void` | `endRemoveWire()`
`void` | `endSourceEvent()`
`void` | `endTargetEvent()`
`void` | `endTitle()`
`void` | `endValue()`
`void` | `startContent(java.lang.String mode, org.xml.sax.Attributes attr)`
`void` | `startDescRef(java.lang.String eventDescName, org.xml.sax.Attributes attr)`
`void` | `startDescription(org.xml.sax.Attributes attr)`
`void` | `startEvent(java.lang.String eventName, java.lang.Boolean published, java.lang.Boolean handled, org.xml.sax.Attributes attr)`
`void` | `startEventDescription(java.lang.String eventDescriptionName, org.xml.sax.Attributes attr)`
`void` | `startHandler(org.xml.sax.Attributes attr)`
`void` | `startItem(java.lang.String itemName, java.util.Locale locale, org.xml.sax.Attributes attr)`
`void` | `startItemSet(java.lang.String itemSetName, org.xml.sax.Attributes attr)`
`void` | `startIWidget(java.lang.String widgetID, java.lang.Boolean sandbox, org.xml.sax.Attributes attr)`
`void` | `startIWidgetDefinition(java.lang.String definitionURL, org.xml.sax.Attributes attr)`
`void` | `startNewWire(org.xml.sax.Attributes attr)`
`void` | `startPayloadType(org.xml.sax.Attributes attr)`
`void` | `startReceivedEvent(org.xml.sax.Attributes attr)`
`void` | `startRemoveWire(org.xml.sax.Attributes attr)`
`void` | `startSourceEvent(java.lang.String sourceWidgetID, org.xml.sax.Attributes attr)`
`void` | `startTargetEvent(org.xml.sax.Attributes attr)`
`void` | `startTitle(org.xml.sax.Attributes attr)`
`void` | `startValue(java.util.Locale locale, org.xml.sax.Attributes attr)`

Methods inherited from class com.ibm.portal.resolver.xml.helper.LeafContentHandler
`box, characters, endDocument, endElement, endPrefixMapping, getContentHandler, ignorableWhitespace, processingInstruction, setContentHandler, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyIWidgetMicroformatContentHandler

    public EmptyIWidgetMicroformatContentHandler()

Method Detail

### endContent

    public void endContent()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endDescRef

    public void endDescRef()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endDescription

    public void endDescription()
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endEvent

    public void endEvent()
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endEventDescription

    public void endEventDescription()
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endHandler

    public void endHandler()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endItem

    public void endItem()
                 throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endItemSet

    public void endItemSet()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endIWidget

    public void endIWidget()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endIWidgetDefinition

    public void endIWidgetDefinition()
                              throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endNewWire

    public void endNewWire()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endPayloadType

    public void endPayloadType()
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endReceivedEvent

    public void endReceivedEvent()
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endRemoveWire

    public void endRemoveWire()
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endSourceEvent

    public void endSourceEvent()
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endTargetEvent

    public void endTargetEvent()
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endTitle

    public void endTitle()
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endValue

    public void endValue()
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startContent

    public void startContent(java.lang.String mode,
                             org.xml.sax.Attributes attr)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startDescRef

    public void startDescRef(java.lang.String eventDescName,
                             org.xml.sax.Attributes attr)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startDescription

    public void startDescription(org.xml.sax.Attributes attr)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startEvent

    public void startEvent(java.lang.String eventName,
                           java.lang.Boolean published,
                           java.lang.Boolean handled,
                           org.xml.sax.Attributes attr)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startEventDescription

    public void startEventDescription(java.lang.String eventDescriptionName,
                                      org.xml.sax.Attributes attr)
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startHandler

    public void startHandler(org.xml.sax.Attributes attr)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startItem

    public void startItem(java.lang.String itemName,
                          java.util.Locale locale,
                          org.xml.sax.Attributes attr)
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startItemSet

    public void startItemSet(java.lang.String itemSetName,
                             org.xml.sax.Attributes attr)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startIWidget

    public void startIWidget(java.lang.String widgetID,
                             java.lang.Boolean sandbox,
                             org.xml.sax.Attributes attr)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startIWidgetDefinition

    public void startIWidgetDefinition(java.lang.String definitionURL,
                                       org.xml.sax.Attributes attr)
                                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startNewWire

    public void startNewWire(org.xml.sax.Attributes attr)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startPayloadType

    public void startPayloadType(org.xml.sax.Attributes attr)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startReceivedEvent

    public void startReceivedEvent(org.xml.sax.Attributes attr)
                            throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startRemoveWire

    public void startRemoveWire(org.xml.sax.Attributes attr)
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startSourceEvent

    public void startSourceEvent(java.lang.String sourceWidgetID,
                                 org.xml.sax.Attributes attr)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startTargetEvent

    public void startTargetEvent(org.xml.sax.Attributes attr)
                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startTitle

    public void startTitle(org.xml.sax.Attributes attr)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startValue

    public void startValue(java.util.Locale locale,
                           org.xml.sax.Attributes attr)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD